# Poll an async insights report run

Polls an async insights report run. Works with Meta Ads.

```http
GET https://api.pozy.ai/v1/ads/insights/reports/{reportRunId}
```

- Area: Ads / Ad Insights
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `reportRunId` (string, required)

## Query parameters

- `accountId` (string, required)
- `limit` (integer)
- `after` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/ads/insights/reports/6e2f00f0f0d4fc8864437ccf?accountId=696e0b682d0a31188e7a2ba9&limit=25" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/insights/reports/6e2f00f0f0d4fc8864437ccf?accountId=696e0b682d0a31188e7a2ba9&limit=25", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/ads/insights/reports/6e2f00f0f0d4fc8864437ccf",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "limit": 25,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `reportRunId`, string
- `status`, string
- `percentCompletion`, integer
- `dateStart`, string
- `dateStop`, string
- `data`, array of object
- `paging`, object
  - `after`, string: Can be null

```json
{
  "reportRunId": "6e2f00f0f0d4fc8864437ccf",
  "status": "active",
  "percentCompletion": 1,
  "dateStart": "2026-10-02T09:00:00.000Z",
  "dateStop": "2026-10-02T09:00:00.000Z",
  "data": [
    {}
  ],
  "paging": {
    "after": "string"
  }
}
```
